---
updatedAt: 2026-05-12T09:58:45.000Z
---

# Retrieve scan statistics

This operation returns an object containing scan statistics information for the specified site(s).

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "ErrorMessage": {
        "description": "ErrorMessage describes the error",
        "properties": {
          "code": {
            "format": "int64",
            "type": "integer"
          },
          "reason": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "LinksFoundMetrics": {
        "properties": {
          "averageLinksFound": {
            "format": "int64",
            "type": "integer"
          },
          "currentInstanceId": {
            "format": "int64",
            "type": "integer"
          },
          "currentScanLinksFound": {
            "format": "int64",
            "type": "integer"
          },
          "linksFoundDropped": {
            "type": "string"
          },
          "reason": {
            "type": "string"
          },
          "siteID": {
            "format": "int64",
            "type": "integer"
          }
        },
        "type": "object"
      },
      "ScanStats": {
        "properties": {
          "linksFoundMetrics": {
            "items": {
              "$ref": "#/components/schemas/LinksFoundMetrics"
            },
            "type": "array"
          }
        },
        "type": "object"
      },
      "ScanStatsSwagger": {
        "description": "ScanStatsSwagger is the swagger version of the scan stats data object that is returned from the scanStats endpoint",
        "properties": {
          "ScanStats": {
            "$ref": "#/components/schemas/ScanStats"
          }
        },
        "type": "object"
      }
    }
  },
  "info": {
    "license": {
      "name": "(c) Copyright 2023 WhiteHat Security"
    },
    "title": "Sites API",
    "version": "2.0.0"
  },
  "openapi": "3.0.1",
  "paths": {
    "/api/scanStats": {
      "get": {
        "description": "This operation returns an object containing scan statistics information for the specified site(s).",
        "operationId": "scanStatsInputSwagger",
        "parameters": [
          {
            "description": "Site IDs allow users to specify multiple sites from which to retrieve data",
            "explode": false,
            "in": "query",
            "name": "siteIDs",
            "required": true,
            "schema": {
              "items": {
                "format": "int64",
                "type": "integer"
              },
              "type": "array",
              "x-go-name": "SlotIDs"
            },
            "style": "form"
          },
          {
            "description": "Minimum percent change value allows the user to specify the percentage value of deviation of links found against the average number of links of the last 10 completed scans",
            "in": "query",
            "name": "minPercentChange",
            "required": true,
            "schema": {
              "format": "int64",
              "type": "integer",
              "x-go-name": "MinPercentChange"
            },
            "x-go-name": "MinPercentChange"
          },
          {
            "description": "Metric allows user to specify what scan metrics to be displayed\n<b>Supported values:</b>\n_linksFound_ displays the current scan links found, average links found and, links found dropped stats\nCase sensitive.",
            "explode": false,
            "in": "query",
            "name": "metric",
            "required": true,
            "schema": {
              "items": {
                "type": "string"
              },
              "type": "array",
              "x-go-name": "Metric"
            },
            "style": "form"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ScanStatsSwagger"
                }
              }
            },
            "description": "ScanStatsResponse will return a scan stats based on the given query params"
          },
          "400": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description": "BadRequestResponse indicates a request with invalid parameters"
          },
          "401": {
            "description": "UnauthorizedResponse signals an unauthorized API access"
          },
          "403": {
            "description": "ForbiddenResponse signals a request for a resource that does not exist or is not authorized"
          },
          "404": {
            "description": "NotFoundResponse indicates a request for a resource that does not exist"
          },
          "500": {
            "description": "GenericError generic error"
          }
        },
        "summary": "Retrieve scan statistics",
        "tags": [
          "Sites API v2.0"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com/"
    }
  ],
  "tags": [
    {
      "name": "Sites API v2.0"
    }
  ],
  "x-explorer-enabled": false,
  "x-readme": {
    "proxy-enabled": true
  }
}
```